#include <iostream>

using namespace std;

int main()
{
string a;
cin>>a;
long long int c1,c2;
cin>>c1;
cin>>c2;
if(abs(c1-c2)>1)
{
    cout<<"nemoguce";
}
else{
    if(c2>c1)
    {
        char o=a[0];
        a[0]=a[1];
        a[1]=o;
    }
    for(long long int i=0;i<c1+c2;i++)
    {
        if(i%2==0)
        {
            cout<<a[0];
        }
        else
            cout<<a[1];
    }
}
}